<?php
include "../ver_sessao.php";
include "../conecta.php";


// GARANTE QUE O ID DO USUÁRIO VAI SEMPRE EXISTIR NA SESSÃO
if ( intval($_SESSION[user_nb_id]) == 0 ) {
	echo "ERRO: Sessão expirada!";
	exit;
}









function atualiza_estoque(){

	$qtde_prod = valor($_POST[novo_estoque],1);

	$campos  = array(prod_tx_qtde);
	$valores = array($qtde_prod);

	if ( $_POST[id]>0 ) {

		$a_produto = carregar('prod_nb_id,prod_tx_qtde|produto',$_POST[id]);

		registro_cactus("AJUSTE RÁPIDO DE ESTOQUE: ESTOQUE ATUAL: $a_produto[prod_tx_qtde] - NOVO ESTOQUE: $qtde_prod",$a_produto[prod_nb_id]);

		atualizar('produto',$campos,$valores,$_POST[id]);
	}

	exit;
}






function index(){
	global $CACTUX_CONF;

	// print_r($_POST);

	
	if( $_POST[busca_cod] ){
		$extra .= " AND prod_nb_id='$_POST[busca_cod]'" ;
	}
	if( $_POST[busca_cod2] ){
		$extra .= " AND prod_tx_codigo LIKE '$_POST[busca_cod2]'" ;
	}
	
	if( $_POST[busca_codbarras] ){
		$extra .= " AND prod_tx_codbarras LIKE '$_POST[busca_codbarras]'" ;
	}
	
	if( $_POST[busca_nome] !='' ){
		
		$extra .= " AND prod_tx_nome LIKE '%$_POST[busca_nome]%'";
	}
	

	if( $_POST[busca_categoria] !='' ){
		$extra .= " AND prod_nb_categoria = '$_POST[busca_categoria]' ";
		$a_cate = carregar('categoria',$_POST[busca_categoria]);
	}

	if( $_POST[busca_marca] !='' ){
		$extra .= " AND prod_nb_marca = '$_POST[busca_marca]' ";
		$a_marca = carregar('marca',$_POST[busca_marca]);
	}
	
	cabecalho('Ajuste Rápido de Estoque',2);


	?><script src="<?=$CACTUX_CONF[path]?>jquery.min.js" type="text/javascript"></script>
	<script type="text/javascript" src="<?=$CACTUX_CONF[path]?>jquery.blockUI.js"></script><?


	
	$sql = selecionar("produto",'prod_tx_status','ativo'," AND (prod_tx_servico != 'Sim' OR prod_tx_servico IS NULL) AND prod_nb_id > '99' $extra ORDER BY prod_tx_nome",1);

	
	$BUSCA  = grid::gerar_paginacao($sql,'','',50);
	
	//CONSULTA
	$c[] = cactux::campo('ID','busca_cod',$_POST[busca_cod],1);
	$c[] = cactux::campo('Código','busca_cod2',$_POST[busca_cod2],1);
	$c[] = cactux::campo('Código de Barras','busca_codbarras',$_POST[busca_codbarras],2);
	$c[] = cactux::campo('Descrição','busca_nome',str_replace("%20"," ",$_POST[busca_nome]),2);
	$c[] = cactux::combo_bd('!Marca:','busca_marca',$a_marca[marc_nb_id],$a_marca[marc_tx_nome],2,'marca');
	$c[] = cactux::combo_bd('!Categoria:','busca_categoria',$a_cate[cate_nb_id],$a_cate[cate_tx_nome],2,'categoria');
	//---------
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$status = cactux::msg_status();
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4],$c[5]);


	cactux::linha_fieldset($buscar,$status);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	


	
	$cabecalho[] = array('ID','CÓDIGO','CÓDIGO DE BARRAS','NOME','MARCA','CATEGORIA','ESTOQUE','');
	$cabecalho[] = 'c,c,c,e,e,e,e,e,c,c,c,c';
	$cabecalho[] = '5%,5%,10%,,15%,15%,10%,2%';
	
	while ( $a = carrega_array($BUSCA[0]) ){

		if($a[prod_nb_categoria])
			$a_cate = carregar('categoria',$a[prod_nb_categoria]);
		else
			$a_cate = '';

		if($a[prod_nb_marca])
			$a_marc = carregar('marca',$a[prod_nb_marca]);
		else
			$a_marc[marc_tx_nome] = '';


		$qtde_prod = cactux::campo_simples('produto_qtde[]',mostra_valor($a[prod_tx_qtde],1),1," id=produto_qtde_$a[prod_nb_id] onkeyup='mascara_reais(this);' ");

		$atualizar = "<a href=javascript:atualiza_estoque($a[prod_nb_id])><img id=produto_img_$a[prod_nb_id] src='../cactus/imagens/confirmar2.png' border=0></a>";
		
		$valores[] = array($a[prod_nb_id],$a[prod_tx_codigo],$a[prod_tx_codbarras],$a[prod_tx_nome],$a_marc[marc_tx_nome],$a_cate[cate_tx_nome],$qtde_prod,$atualizar);
	}


	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);

	if( $_POST[sistemacactus] == '' )
		$sistema_cactus = $_GET[sistemacactus];
	else
		$sistema_cactus = $_POST[sistemacactus];

	$path_parts = pathinfo( __FILE__ ); // OBTEM O NOME DO ARQUIVO ATUAL


	javascript("

		function atualiza_estoque(id_prod) {

			var novo_estoque = document.getElementById('produto_qtde_'+id_prod).value;

			var a_dados = {
				id: id_prod,
				novo_estoque: novo_estoque,
				sistemacactus: '$sistema_cactus',
				acao: 'atualiza_estoque'
			};


			// BLOQUEIA A TELA ANTES DE DAR O SUBMIT
			$.blockUI({ message: \"<h1>Processando...</h1>\" });

			// ENVIA OS DADOS VIA POST E VERIFICA SE FUNCIOU OU NÃO
			$.post(\"$path_parts[basename]\", a_dados).done(function(data) {
				// alert(data);
				document.getElementById('produto_img_'+id_prod).src = '../cactus/imagens/confirmar.png';
			}).fail(function() {
				alert('FALHA AO ATUALIZAR!');
			});

			// DESFAZ O BLOQUEIO
			$.unblockUI();
		}

	");

	
	rodape();
	
}

CONTROLE();
?>